Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 249550 - rsh -- protocol failure in circuit setup
rsh -- protocol failure in circuit setup
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rsh (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-25 10:35 EDT by Tom Cross
Modified: 2013-04-30 19:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-26 06:42:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Cross 2007-07-25 10:35:22 EDT
Description of problem:

rsh doesn't work.  When using a simple rsh command like "rsh rigel ls", instead
of giving results or an error, rsh just sits there.  After a long time
(something like 2 minutes) it eventually says:

poll: protocol failure in circuit setup

(in this example rigel is a solaris 10 system.  Both fc5 and fc6 workstations
work fine when using rsh to connect to this computer)

Version-Release number of selected component (if applicable):
rsh-0.17-40.fc7


How reproducible:
always

My fc5-x86_64 workstation works fine with:
rsh-0.17-34.1

Other fc6-i386 workstations here work fine with this version:
rsh-0.17-38.fc6
Comment 1 Adam Tkac 2007-07-26 06:42:52 EDT
Please see manual page for in.rshd (server daemon). Connection schema is:

1. client   ---------(stdin + stdout)--------------> server
2. server checks client's source port
3. server   ------------(stderr)-------------------> client
4. ....

'poll: protocol failure in circuit setup' message indicates that server can't
estabilish connection in 3rd step. It mostly means that your firewall (yes,
firewall on client) blocks reverse connection from server. Please try disable
firewall on client machine and try rsh - it works ;)

Btw if you think that it's regression between 38.fc6 and 40.fc7 you could
install fc6's version on your machine and see results - same :)

Adam
Comment 2 Tom Cross 2007-07-26 09:56:44 EDT
Well, I feel like an idiot.

The *FIRST* thing I did was disable the firewall and retest.  Then reboot and
retest.  However, I guess I really didn't disable the firewall.

Thank you for your excellent reply.

You are correct, if one *REALLY* disables the firewall, rsh in f7 works just fine.
Comment 3 Adam Tkac 2007-07-26 09:58:32 EDT
No problem - I also always forget disable firewall ;)

Note You need to log in before you can comment on or make changes to this bug.